{
    num: 15,
    accuracy: 100,
    basePower: 0,
    basePowerCallback(pokemon, target) {
        const targetWeight = target.getWeight();
        let bp;
        if (targetWeight >= 2e3) {
            bp = 120;
        } else if (targetWeight >= 1e3) {
            bp = 100;
        } else if (targetWeight >= 500) {
            bp = 80;
        } else if (targetWeight >= 250) {
            bp = 60;
        } else if (targetWeight >= 100) {
            bp = 40;
        } else {
            bp = 20;
        }
        this.debug("BP: " + bp);
        return bp;
    },
    onBasePower(basePower) {
        if (this.field.getPseudoWeather("gravity")) {
            return this.chainModify(1.5);
        }
    },
    category: "Physical",
    isNonstandard: "Unobtainable",
    name: "Cut",
    pp: 30,
    priority: 0,
    flags: { contact: 1, protect: 1, mirror: 1, metronome: 1, slicing: 1 },
    onTryHit(target, pokemon, move) {
        if (target.volatiles["dynamax"]) {
            this.add("-fail", pokemon, "Dynamax");
            this.attrLastMove("[still]");
            return null;
        }
    },
    secondary: null,
    target: "normal",
    type: "Steel",
    contestType: "Cool"
}
